Bug 191586 - Postfix LDAP lookup results in a segmentation fault on x86_64
Summary: Postfix LDAP lookup results in a segmentation fault on x86_64
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
(Show other bugs)
Version: 5
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-13 10:28 UTC by Johan Kok
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 12:51:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Some gdb output from the postmap command (1.10 KB, text/plain)
2006-05-13 10:28 UTC, Johan Kok
no flags Details

Description Johan Kok 2006-05-13 10:28:27 UTC
Description of problem:
When I configure postfix to use a LDAP directory to lookup information
(relay_recipient_maps in this case) it doesn't work. Postfix makes a connection
to the openldap server, the query is performed and a segmentation fault occurs
when there is a matching object in LDAP. When there is no matching object from
LDAP, the postmap command finishes without a segmentation fault.

When I copy the configuration file to a i386 machine (also with FC5) there's no
segmentation fault and it returns the data from the LDAP directory.

Thanks in advance for looking into this problem. Please let me know if more
information is needed. or if I can do anything to help solve this issue. 

Version-Release number of selected component (if applicable):
postfix-2.2.8-1.2
openldap-servers-2.3.19-4


How reproducible:
Always, when there is object in LDAP matching the search filter 

Steps to Reproduce:
1. Configure postfix for ldap lookups on i386
2. Test with postmap (postmap -q 'test@example.com'
ldap:/etc/postfix/relay_recipient_maps_ldap.cf
3. Bang! :)
  
Actual results:
[root@x86_64 postfix]# postmap -q 'test@example.com'
ldap:./relay_recipient_maps_ldap.cf
Segmentation fault
[root@x86_64 postfix]#

Expected results:
[root@i386 postfix]# postmap -q 'test@example.com'
ldap:./relay_recipient_maps_ldap.cf
test@example.com
[root@i386 postfix]#


Additional info:

Some gdb output (with postfix-debuginfo) is attached

Relevant part of main.cf:
relay_recipient_maps = ldap:/etc/postfix/relay_recipient_maps_ldap.cf 

relay_recipient_maps_ldap.cf:
server_host = ldap://ldap
search_base = dc=example,dc=com
query_filter = (mail=%s)
result_attribute = mail
bind = yes
bind_dn = cn=postfix,ou=services,dc=example,dc=com
bind_pw = password

Comment 1 Johan Kok 2006-05-13 10:28:27 UTC
Created attachment 128975 [details]
Some gdb output from the postmap command

Comment 2 David Hollis 2006-05-30 19:05:42 UTC
Rebuilding the postfix-2.2.10-2.src.rpm from Rawhide seems to resolve this
issue.  Could this build be backported to FC5?

Comment 3 Thomas Woerner 2007-08-29 12:51:29 UTC
I am sorry, but FC-5 is EOL.

Closing as "WONTFIX"


Note You need to log in before you can comment on or make changes to this bug.